using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Microsoft.SPOT.Emulator.MFBook
{
    public partial class LampForm : Form
    {

        private LampOnGPIO1Component parentComponent;

        public LampForm(LampOnGPIO1Component inParentComponent)
        {
            InitializeComponent();

            parentComponent = inParentComponent;
        }

        private bool state = false;

        public void SetState ( bool newState ) 
        {
            state = newState;

            if (state)
            {
                lampPanel.BackColor = Color.Yellow;
            }
            else
            {
                lampPanel.BackColor = Color.Black;
            }
        }
    }
}